Package Details: swift-lldb-development DEVELOPMENT.SNAPSHOT.2016.09.11.a-1

Git Clone URL: (read-only)
Package Base: swift-development
Description: The Swift programming language debugger (LLDB) and REPL - development snapshot
Upstream URL:
Licenses: Apache
Conflicts: lldb, swift-lldb
Provides: lldb, swift-lldb
Submitter: Zrax
Maintainer: Zrax
Last Packager: Zrax
Votes: 3
Popularity: 1.202502
First Submitted: 2016-02-12 03:00
Last Updated: 2016-09-12 16:31

Required by (16)

Sources (12)

Latest Comments

Zrax commented on 2016-08-10 04:21

I updated this one at the same time as swift-preview -- both should have the extra swiftpm tools.

hiking90 commented on 2016-08-10 02:36

This package does not include swift-package and swift-test.

Could you apply below patch?

diff --git a/PKGBUILD b/PKGBUILD
index 461e67c..e71f6b5 100644
@@ -122,6 +122,8 @@ package_swift-preview() {
cd swiftpm-linux-$CARCH
install -m755 debug/swift-build "$pkgdir/usr/bin"
+ install -m755 debug/swift-package "$pkgdir/usr/bin"
+ install -m755 debug/swift-test "$pkgdir/usr/bin"

install -dm755 "$pkgdir/usr/lib/swift/pm"
install -m755 lib/swift/pm/ "$pkgdir/usr/lib/swift/pm"

Ahti333 commented on 2016-05-22 15:19

extra now has clang 3.8. I just built this package against it and it works fine, so you can switch back from clang-svn to clang.

Zrax commented on 2016-05-08 19:00

It looks like clang 3.7 has issues with GCC 6's C++ tuple headers... I'm updating the clang requirement to clang-svn until Arch updates clang to a working version.

Ahti333 commented on 2016-05-08 06:54

The current version does not build for me using extra-x86_64-build or makepkg.

The build fails in src/llvm/lib/CodeGen/LexicalScopes.cpp, I've uploaded the output of extra-x86_64-build here: